Pip install failure

Hello

I am a beginner in python.

I have tried to in stall pip dependencies from environmental yml file and encountered an error " This error originates from a subprocess, and is likely not a problem with pip." Could you please tell me what I should do. My yml file is listed below.

channels:

  • pytorch
  • conda-forge
  • defaults
    dependencies:
  • ase=3.21.*
  • black
  • cudatoolkit=11.3
  • jupyter>=1.0.0
  • matplotlib=3.3.*
  • nbsphinx
  • numba
  • pandoc
  • pip
  • pre-commit=2.10.*
  • pymatgen=2020.12.31
  • python=3.8.*
  • pytorch=1.9.0
  • pyyaml=5.4.*
  • sphinx
  • tensorboard=2.5.*
  • tqdm=4.58.*
  • pip:

Hi @R_Beginner

It’s difficult to understand what went wrong without any means to replicate the error/ issue. Plus I use Windows, not sure if you are trying to install python on Mac.

Have you tried to search for similar issues on Stack Overflow? For example, a simple search of

" This error originates from a subprocess, and is likely not a problem with pip."

led me to these two links:

1 Like

Thank you for you comment.
I was trying to windows 11, and also searched on Stack Overflow. Finally I reinstall cuda and it worked!
Thank you again for your help.

1 Like